Page MenuHomeMiraheze

Add translation to Manage additional settings on this wiki
Closed, ResolvedPublic

Description

Wiki URLSpecial:ManageWiki/settings

Add translation to Manage additional settings of this wiki that are only in English

Event Timeline

Eduaddad created this task.May 15 2019, 23:57
Reception123 moved this task from Backlog to Features on the ManageWiki board.May 18 2019, 06:10
John edited projects, added MediaWiki; removed ManageWiki.May 18 2019, 17:49
John added a subscriber: John.

Creating “managewiki-{$settingname}-help” or -name in i18n config is how this is done.

Not a ManageWiki issue

AmandaCath removed a subscriber: AmandaCath.

will not be on translatewiki.net?

John added a comment.Jun 17 2019, 01:21

will not be on translatewiki.net?

It will be, when someone takes the time to do it.

I will try to take care of this soon.

In T4370#83365, @John wrote:

Creating “managewiki-{$settingname}-help” or -name in i18n config is how this is done.
Not a ManageWiki issue

So would the 'name' => in mw-config be replaced by "managewiki-wgAbuseFilterActions-name": "AbuseFilter Actions", in the ManageWiki repo?

John added a comment.Jul 31 2019, 09:10
In T4370#83365, @John wrote:

Creating “managewiki-{$settingname}-help” or -name in i18n config is how this is done.
Not a ManageWiki issue

So would the 'name' => in mw-config be replaced by "managewiki-wgAbuseFilterActions-name": "AbuseFilter Actions", in the ManageWiki repo?

‘Name’ becomes completely ignored.

Reception123 removed Reception123 as the assignee of this task.Aug 8 2019, 16:17
Reception123 added a subscriber: RhinosF1.

Will probably do this later, but for now unassigning myself so anyone else can take care of it.

@RhinosF1 Interested? :)

I could be but i'm not too sure on how it'd be done.

If someone could give me a prompt late tonight (9pm) or tommorow then i can look

@Reception123: If you could maybe do 1 or 2 examples then I could finish?

In T4370#87105, @John wrote:
In T4370#83365, @John wrote:

Creating “managewiki-{$settingname}-help” or -name in i18n config is how this is done.
Not a ManageWiki issue

So would the 'name' => in mw-config be replaced by "managewiki-wgAbuseFilterActions-name": "AbuseFilter Actions", in the ManageWiki repo?

‘Name’ becomes completely ignored.

To clarify for whoever does it, it's "managewiki-setting-{$name}-name" or "managewiki-setting-{$name}-help"

Merged - that has ~30% on and will continue to add more via https://github.com/miraheze/MirahezeMagic/pull/87 over the coming hours/days

Merged - that has ~30% on and will continue to add more via https://github.com/miraheze/MirahezeMagic/pull/87 over the coming hours/days

Merged now at 50% - new PR is now https://github.com/miraheze/MirahezeMagic/pull/89

https://github.com/miraheze/MirahezeMagic/pull/89 merged - just notifications + restricted to do

sorry for the delays

RhinosF1 updated the task description. (Show Details)Aug 17 2019, 10:00
RhinosF1 closed this task as Resolved.Aug 17 2019, 10:14

Done for ManageWiki/settings - if there's anymore that need doing for our other extensions then please file another task